<?php
/**
 * @version 1.1.1
 */
 
class DynamicPageListSP extends SpecialPage
{
        function DynamicPageListSP() {
                SpecialPage::SpecialPage("DynamicPageListSP");
                self::loadMessages();
        }

        function execute( $par ) {
                global $wgRequest, $wgOut;
                
                $this->setHeaders();
				$wgOut->setPageTitle("Special Page: Dynamic Page List");
                # Get request data from, e.g.
                $param = $wgRequest->getText('param');
                
                # Do stuff
                $output = "'''Maybe''' at ''some point in time'' DPL will also be available as a special page ... ".$param;

                # Output
                $wgOut->addWikiText( $output );
        }

        function loadMessages() {
                static $messagesLoaded = false;
                global $wgMessageCache;
                if ( $messagesLoaded ) return;
                $messagesLoaded = true;

                require( dirname( __FILE__ ) . '/DynamicPageListSP.i18n.php' );
                foreach ( $allMessages as $lang => $langMessages ) {
                        $wgMessageCache->addMessages( $langMessages, $lang );
                }
        }
}
?>
